[lkml]   [2007]   [Sep]   [29]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
    SubjectRe: getting FUSD compiled with current kernels
    On Saturday 29 September 2007, Florian Schmidt wrote:
    > On Saturday 29 September 2007, Florian Schmidt wrote:
    > > Hi,
    > >
    > > I'm trying to build FUSD [1] against current kernels [2.6.22]. I get
    > > errors [2]:
    > Oh i forgot to show the code snippets in question. I put them to the

    Oh and i also forget to mention that i get the same errors when using:

    KDIR=/usr/src/linux-source-2.6.22/ make

    [Where the ubuntu kernel package put the source. I configured it with the
    default ubuntu .config and make oldconfig]. I get one more message though:

    ~/source/build_stuff/fusd/kfusd$ KDIR=/usr/src/linux-source-2.6.22/ make
    make -C /usr/src/linux-source-2.6.22/
    EXTRA_CFLAGS=-I/home/tapas/source/build_stuff/fusd/kfusd/../include modules
    make[1]: Entering directory `/usr/src/linux-source-2.6.22'

    WARNING: Symbol version dump /usr/src/linux-source-2.6.22/Module.symvers
    is missing; modules will have no dependencies and modversions.

    CC [M] /home/tapas/source/build_stuff/fusd/kfusd/kfusd.o
    /home/tapas/source/build_stuff/fusd/kfusd/kfusd.c: In function ‘to_kobj’:
    /home/tapas/source/build_stuff/fusd/kfusd/kfusd.c:135: error: dereferencing
    pointer to incomplete type


    Palimm Palimm!
    To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
    the body of a message to
    More majordomo info at
    Please read the FAQ at

     \ /
      Last update: 2007-09-29 18:41    [W:0.045 / U:128.252 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site